POST api/NTSetting/PostICD10
Request Information
URI Parameters
None.
Body Parameters
ICD10DTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| Code | string |
String length: inclusive between 0 and 50 |
|
| Name | string |
String length: inclusive between 0 and 250 |
|
| Sequence | integer |
None. |
|
| DisplayName | string |
String length: inclusive between 0 and 150 |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"Code": "sample string 2",
"Name": "sample string 3",
"Sequence": 4,
"DisplayName": "sample string 5",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:46:51.3908657-07:00",
"DateUpdated": "2026-06-20T12:46:51.3908657-07:00",
"UserIDCreated": 9,
"UserIDUpdated": 10,
"CompanyCode": "sample string 11",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfICD10DTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | ICD10DTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"Code": "sample string 2",
"Name": "sample string 3",
"Sequence": 4,
"DisplayName": "sample string 5",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:46:51.3908657-07:00",
"DateUpdated": "2026-06-20T12:46:51.3908657-07:00",
"UserIDCreated": 9,
"UserIDUpdated": 10,
"CompanyCode": "sample string 11",
"IsExcludeDiscount": true
},
"totalCount": 3
}